#!/bin/bash
#
# Copyright 2016 Collabora Ltd.
#
# SPDX-License-Identifier: MPL-2.0
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
set -ve

# Setup enough of a git repo to trick git phab into just doing its job even if
# we're not really doing any actions that need a git repo (though it does need
# the phabricator.uri

git init
git config --add phab.autostash false
cat << EOF > .arcconfig
{
    "phabricator.uri": "https://phabricator.apertis.org/",
    "projects": "apertis",
    "repository.callsign": "JENKINSJOBS"
}
EOF
git add .arcconfig
git commit -m "initial commit"

echo | git phab --arcrc ${ARCRC} apply --no-dependencies -o . 'D'${REVISION}
