// Groovy script for usage with the jenkins envinject plugin, takes a
// URI jenkins job parameter pointing to a git repository and digs out 
// the pacakge name to inject a PACKAGE environment variable

// Initial Hoop jumping to get the parameter out copied from
// https://wiki.jenkins-ci.org/display/JENKINS/Groovy+plugin

// get current thread / Executor
def thr = Thread.currentThread()
// get current build
def build = thr?.executable
// and the parameter
def uri = build.buildVariableResolver.resolve("URI")

// match the last .git in the url, possible follow by a /
def m = uri =~ /([^\/]+).git\/*$/

return [ PACKAGE: m[0][1] ]
